Bug 5110 - [UPDATE REQUEST] nvidia340 340.76
: [UPDATE REQUEST] nvidia340 340.76
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-02-27 17:18 MSK by Eugene Shatokhin
Modified: 2015-03-06 17:55 MSK (History)
2 users (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
vladimir.potapov: published+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Eugene Shatokhin 2015-02-27 17:18:52 MSK
Upstream update to version 340.76 + packaging fixes.
Comment 1 Eugene Shatokhin 2015-02-27 17:20:45 MSK
Advisory:
The 340.x branch of the proprietary graphics drivers by NVidia was updated to version 340.76. In this version:
* Fixed crashes on some systems with kernel 3.18.x.
* Fixed a bug that caused frequent AMD-Vi page faults on systems with
some AMD 8xx/9xx-series chipsets.
* Fixed a regression that could cause system crashes when terminating the
X server on systems with an NVIDIA Quadro SDI Capture card installed.
* Fixed a bug that caused audio over HDMI to not work on some GPUs.

Build lists:
i586:
https://abf.io/build_lists/2442147
x86_64:
https://abf.io/build_lists/2442148
Comment 2 Eugene Shatokhin 2015-02-27 17:22:11 MSK
I have tested this update with Phoronix Test Suite (Unigine benchmarks) on our test machine with GeForce GTX 480 and kernels 3.14.33 and 3.18.5. No regressions found.
Comment 3 Vladimir Potapov 2015-03-04 15:03:11 MSK
The update route to expanded testing
************************************
Comment 4 Andrey Ponomarenko 2015-03-05 00:40:53 MSK
ASUS X71SL with G98M [GeForce 9300M GS]

boot, glxgears, browser, video - Ok

HW probe: http://hw.rosalinux.ru/index.php?probe=e2b3ce71be
Comment 5 Andrey Ponomarenko 2015-03-05 20:52:53 MSK
ASUS Eee PC Seashell 1215N with NVIDIA GT218 [ION 2]

boot, glxgears, browser, video - Ok

HW probe: http://hw.rosalinux.ru/index.php?probe=0665880819
Comment 6 Vladimir Potapov 2015-03-06 16:06:23 MSK
nvidia340-340.76-1
http://abf-downloads.rosalinux.ru/rosa2014.1/container/2442147/i586/non-free/release/
http://abf-downloads.rosalinux.ru/rosa2014.1/container/2442148/x86_64/non-free/release/
************************************ Advisory ***********************
The 340.x branch of the proprietary graphics drivers by NVidia was updated to version 340.76. In this version:
* Fixed crashes on some systems with kernel 3.18.x.
* Fixed a bug that caused frequent AMD-Vi page faults on systems with
some AMD 8xx/9xx-series chipsets.
* Fixed a regression that could cause system crashes when terminating the
X server on systems with an NVIDIA Quadro SDI Capture card installed.
* Fixed a bug that caused audio over HDMI to not work on some GPUs.
***********************************************************************
QA Verified
Comment 7 Andrey Ponomarenko 2015-03-06 17:35:08 MSK
ASUS Eee PC Seashell 1015PN with NVIDIA GT218 [ION]

boot, glxgears, browser, video - Ok

HW probe: http://hw.rosalinux.ru/index.php?probe=c2a08b5e3d
Comment 8 Andrey Ponomarenko 2015-03-06 17:35:31 MSK
Extended testing report - Ok